POST api/campaigns/preview/count
Request Information
URI Parameters
None.
Body Parameters
CampaignPreviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| CampaignId | globally unique identifier |
None. |
|
| ToPersonIds | Collection of globally unique identifier |
None. |
|
| IsNewPerson | boolean |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| ProductIds | Collection of string |
None. |
|
| FilterIds | Collection of globally unique identifier |
None. |
|
| FilterMaxCount | integer |
None. |
|
| FilterNoOrderInDays | integer |
None. |
|
| FilterNoCampaignInDays | integer |
None. |
|
| FilterMustNotBeStopped | boolean |
None. |
|
| FilterOrderOnProducts | Collection of globally unique identifier |
None. |
|
| FilterOrderOnCampaigns | Collection of globally unique identifier |
None. |
|
| DestinationType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"campaignId": "e883e5c8-b497-4732-a7a7-c1db22912650",
"toPersonIds": [
"dcf1cdbf-ad8f-4bc7-b733-dc87afa5f154",
"f6afea15-addf-4334-ada8-fdff5d2a661c"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"c47e1806-10d1-4615-96ff-bbf33a271048",
"2a559d55-f710-475d-831e-7967649e7e24"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"68f91a7f-89dd-4e6f-a9db-d21cdbb2f8f2",
"56751824-d6b1-4321-83e7-4b8ec70884db"
],
"filterOrderOnCampaigns": [
"dc6e7c3c-c34e-4606-a940-aaf56e69f9f7",
"75716f2d-7084-46a4-8005-a5053957f33f"
],
"destinationType": "sample string 13"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.